--[[ Postal_Rake: Display summary of money gained from opening mail. ]]--
Postal_Rake = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0")
local abacus = AceLibrary("Abacus-2.0") 

function Postal_Rake:OnEnable()
 self:RegisterEvent("MAIL_SHOW")
end

function Postal_Rake:MAIL_SHOW()
  self.startmoney = GetMoney()
  self:RegisterEvent("MAIL_CLOSED")
end

function Postal_Rake:MAIL_CLOSED()
  self:UnregisterEvent("MAIL_CLOSED")
  self.endmoney = GetMoney()
  if self.endmoney == self.startmoney then return end
  self:Print("Collected"..abacus:FormatMoneyExtended(self.endmoney - self.startmoney))
end
